package com.zanxiang.game.data.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.data.serve.pojo.dto.*;
import com.zanxiang.game.data.serve.pojo.vo.GameUserConfigListVO;
import com.zanxiang.game.module.base.pojo.vo.SendMsgResultVO;
import com.zanxiang.game.module.base.pojo.vo.SendMsgVO;
import com.zanxiang.game.data.serve.utils.Page;

import java.util.List;
import java.util.Map;

public interface IRoleManageService {

    Page<Map> getRoleRechargeRanking(RoleRechargeRankingDTO dto);

    Page<Map> getRoleCombatRanking(RoleCombatRankingDTO dto);

    /**
     * 创建发送消息任务
     * @param dto
     */
    void createSendMsgTask(SendMsgTaskDTO dto);


    /**
     * 获取角色列表
     * @param dto
     * @return
     */
    List<Map> getRoleList(RoleRechargeRankingDTO dto);

    /**
     * 获取发送消息任务列表
     * @param dto
     * @return
     */
    Page<SendMsgVO> getSendMsgTaskList(MsgTaskDTO dto);

    /**
     * 查询发送消息任务结果
     * @param msgTaskResultDto
     * @return
     */
    Page<SendMsgResultVO> getSendMsgResultList(MsgTaskResultDTO msgTaskResultDto);


}
